com.unitech.lib.uhf.params

## Class SelectMask6cParam

- java.lang.Object
- - com.unitech.lib.uhf.params.SelectMask6cParam

-     public class SelectMask6cParam
      extends java.lang.Object

  The SelectMask6cParam class is a class for providing the capability to set Selection Mask conditions on RFID UHF modules at once.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectMask6cParam()` Creates an instance of the SelectMask6cParam class.
    `SelectMask6cParam(boolean used, Mask6cTarget target, Mask6cAction action, BankType bank, int offset, <any> pattern)` Creates an instance of the SelectMask6cParam class.
    `SelectMask6cParam(boolean used, Mask6cTarget target, Mask6cAction action, BankType bank, int offset, java.lang.String pattern, int length)` Creates an instance of the SelectMask6cParam class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Initializes the values set in the SelectMask6cParam instance.
    `void` | `copy(SelectMask6cParam param)` Copy the SelectMask6cParam instance.
    `Mask6cAction` | `getAction()` Returns the Action value of "Selection Mask".
    `BankType` | `getBank()` Set the Action value of "Selection Mask".
    `int` | `getLength()` Returns the Length value of "Selection Mask".
    `int` | `getOffset()` Returns the Offset value of "Selection Mask".
    `java.lang.String` | `getPattern()` Returns the Pattern value of "Selection Mask".
    `Mask6cTarget` | `getTarget()` Returns the Target Flag of "Selection Mask".
    `boolean` | `isUsed()` Returns whether or not "Selection Mask" is enabled.
    `void` | `setAction(Mask6cAction action)` Set the Action value of "Selection Mask".
    `void` | `setBank(BankType bank)` Set the Bank value in "Selection Mask".
    `void` | `setLength(int length)` Set the Length value of "Selection Mask".
    `void` | `setOffset(int offset)` Set the Offset value of "Selection Mask".
    `void` | `setPattern(java.lang.String pattern)` Set the Pattern value of "Selection Mask".
    `void` | `setTarget(Mask6cTarget target)` Set the Target Flag of "Selection Mask".
    `void` | `setUsed(boolean used)` Set whether or not to use "Selection Mask".
    `java.lang.String` | `toString()` Return the SelectMask6cParam information with format: [Used], [Target], [Action], [Bank], [Offset], [Pattern], [Length]

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectMask6cParam

          public SelectMask6cParam()

      Creates an instance of the SelectMask6cParam class.

    - #### SelectMask6cParam

          public SelectMask6cParam(boolean used,
                                   Mask6cTarget target,
                                   Mask6cAction action,
                                   BankType bank,
                                   int offset,
                                   java.lang.String pattern,
                                   int length)

      Creates an instance of the SelectMask6cParam class.
      Parameters:
        `used` - A boolean indicating whether to use the condition of "Selection Mask".
        `target` - The Mask6cTarget enumeration indicating the flag of the tag to store the result of the "Selection Mask" condition.
        `action` - The Mask6cAction enumeration indicating how to save the results for the condition of "Selection Mask".
        `bank` - The BankType enumeration representing the memory bank of the tag to compare the pattern in "Selection Mask".
        `offset` - An integer representing the start address at which to begin comparing patterns in the "Selection Mask". The unit is bit.
        `pattern` - A string representing the comparison pattern for "Selection Mask".
        `length` - An integer representing the length of the pattern in "Selection Mask". The unit is bit.

    - #### SelectMask6cParam

          public SelectMask6cParam(boolean used,
                                   Mask6cTarget target,
                                   Mask6cAction action,
                                   BankType bank,
                                   int offset,
                                   <any> pattern)

      Creates an instance of the SelectMask6cParam class.
      Parameters:
        `used` - A boolean indicating whether to use the condition of "Selection Mask".
        `target` - The Mask6cTarget enumeration indicating the flag of the tag to store the result of the "Selection Mask" condition.
        `action` - The Mask6cAction enumeration indicating how to save the results for the condition of "Selection Mask".
        `bank` - The BankType enumeration representing the memory bank of the tag to compare the pattern in "Selection Mask".
        `offset` - An integer representing the start address at which to begin comparing patterns in the "Selection Mask". The unit is bit.
        `pattern` - A string representing the comparison pattern for "Selection Mask".

  - ### Method Detail

    - #### copy

          public void copy(SelectMask6cParam param)

      Copy the SelectMask6cParam instance.
      Parameters:
        `param` - An instance of SelectMask6cParam to copy.

    - #### clear

          public void clear()

      Initializes the values set in the SelectMask6cParam instance.

    - #### isUsed

          public boolean isUsed()

      Returns whether or not "Selection Mask" is enabled.
      Returns:
        A boolean indicating whether to use the condition of "Selection Mask".

    - #### setUsed

          public void setUsed(boolean used)

      Set whether or not to use "Selection Mask".
      Parameters:
        `used` - A boolean indicating whether to use the condition of "Selection Mask".

    - #### getTarget

          public Mask6cTarget getTarget()

      Returns the Target Flag of "Selection Mask".
      Returns:
        The Mask6cTarget enumeration indicating the flag of the tag to store the result of the "Selection Mask" condition.

    - #### setTarget

          public void setTarget(Mask6cTarget target)

      Set the Target Flag of "Selection Mask".
      Parameters:
        `target` - The Mask6cTarget enumeration indicating the flag of the tag to store the result of the "Selection Mask" condition.

    - #### getAction

          public Mask6cAction getAction()

      Returns the Action value of "Selection Mask".
      Returns:
        The Mask6cAction enumeration indicating how to save the results for the condition of "Selection Mask".

    - #### setAction

          public void setAction(Mask6cAction action)

      Set the Action value of "Selection Mask".
      Parameters:
        `action` - The Mask6cAction enumeration indicating how to save the results for the condition of "Selection Mask".

    - #### getBank

          public BankType getBank()

      Set the Action value of "Selection Mask".
      Returns:
        The BankType enumeration representing the memory bank of the tag to compare the pattern in "Selection Mask".

    - #### setBank

          public void setBank(BankType bank)

      Set the Bank value in "Selection Mask".
      Parameters:
        `bank` - The BankType enumeration representing the memory bank of the tag to compare the pattern in "Selection Mask".

    - #### getOffset

          public int getOffset()

      Returns the Offset value of "Selection Mask".
      Returns:
        An integer representing the start address at which to begin comparing patterns in the "Selection Mask". The unit is bit.

    - #### setOffset

          public void setOffset(int offset)

      Set the Offset value of "Selection Mask".
      Parameters:
        `offset` - An integer representing the start address at which to begin comparing patterns in the "Selection Mask". The unit is bit.

    - #### getPattern

          public java.lang.String getPattern()

      Returns the Pattern value of "Selection Mask".
      Returns:
        A string representing the comparison pattern for "Selection Mask".

    - #### setPattern

          public void setPattern(java.lang.String pattern)

      Set the Pattern value of "Selection Mask".
      Parameters:
        `pattern` - A string representing the comparison pattern for "Selection Mask".

    - #### getLength

          public int getLength()

      Returns the Length value of "Selection Mask".
      Returns:
        An integer representing the length of the pattern in "Selection Mask". The unit is bit.

    - #### setLength

          public void setLength(int length)

      Set the Length value of "Selection Mask".
      Parameters:
        `length` - An integer representing the length of the pattern in "Selection Mask". The unit is bit.

    - #### toString

          public java.lang.String toString()

      Return the SelectMask6cParam information with format: [Used], [Target], [Action], [Bank], [Offset], [Pattern], [Length]
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The SelectMask6cParam information